summaryrefslogtreecommitdiffstats
path: root/deps/noto-font-ttf
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-12-17 16:20:30 +0100
committer Eric Hameleers <alien@slackware.com>2015-12-17 16:20:30 +0100
commit71b200f935c898c2a0d8cc8f6ee4af0dc7950623 (patch)
treeb43037a90cf07efe0adefd98dc3d5ac926f41671 /deps/noto-font-ttf
parentbf38aa29b1d47089e027a28f5f9a7870aba8b677 (diff)
downloadktown-71b200f935c898c2a0d8cc8f6ee4af0dc7950623.tar.gz
ktown-71b200f935c898c2a0d8cc8f6ee4af0dc7950623.tar.xz
Updated/added deps for KDE-5_15.12
Updated: OpenAL PyQt5 lmdb noto-font-ttf noto-cjk-font-ttf Added: sip libxkbcommon
Diffstat (limited to 'deps/noto-font-ttf')
-rw-r--r--deps/noto-font-ttf/.url1
-rwxr-xr-xdeps/noto-font-ttf/noto-font-ttf.SlackBuild97
-rw-r--r--deps/noto-font-ttf/slack-desc19
3 files changed, 117 insertions, 0 deletions
diff --git a/deps/noto-font-ttf/.url b/deps/noto-font-ttf/.url
new file mode 100644
index 0000000..d44d13e
--- /dev/null
+++ b/deps/noto-font-ttf/.url
@@ -0,0 +1 @@
+https://github.com/googlei18n/noto-fonts/archive/v2015-09-29-license-adobe.tar.gz
diff --git a/deps/noto-font-ttf/noto-font-ttf.SlackBuild b/deps/noto-font-ttf/noto-font-ttf.SlackBuild
new file mode 100755
index 0000000..d5ee2ed
--- /dev/null
+++ b/deps/noto-font-ttf/noto-font-ttf.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=noto-font-ttf
+SRCNAM=noto-fonts
+VERSION=${VERSION:-"2015-09-29"}
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Font directory location depends on the X build prefix:
+# Determine what X we're running (the modular X returns the prefix
+# in the next command, while older versions stay silent):
+XPREF=$(pkg-config --variable=prefix x11)
+if [ "$XPREF" = "" ]; then
+ XPREF='/usr/X11R6'
+ FONTDIR="$XPREF/lib/X11/fonts/TTF"
+else
+ FONTDIR="/usr/share/fonts/TTF"
+fi
+mkdir -p $PKG$FONTDIR
+
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}
+mkdir ${PRGNAM}-${VERSION}
+cd ${PRGNAM}-${VERSION}
+tar xvf $CWD/${SRCNAM}-${VERSION}-license-adobe.tar.gz || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+cd ${SRCNAM}-${VERSION}-license-adobe
+
+# Install just the hinted fonts - unhinted fonts for Android and Mac;
+# Android and Mac ignore hinting information embedded in fonts:
+cp -a hinted/*.{ttf,ttc} $PKG$FONTDIR/
+chmod 644 $PKG$FONTDIR/*
+
+# Post-install script:
+mkdir -p $PKG/install
+cat << EOT > $PKG/install/doinst.sh
+# Update X font indexes and the font cache:
+if [ -x .$XPREF/bin/mkfontdir ]; then
+ chroot . $XPREF/bin/mkfontscale $FONTDIR
+ chroot . $XPREF/bin/mkfontdir $FONTDIR
+fi
+if [ -x .$XPREF/bin/fc-cache ]; then
+ chroot . $XPREF/bin/fc-cache $FONTDIR
+fi
+EOT
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ FAQ.md LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/deps/noto-font-ttf/slack-desc b/deps/noto-font-ttf/slack-desc
new file mode 100644
index 0000000..47b1faf
--- /dev/null
+++ b/deps/noto-font-ttf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+noto-font-ttf: noto-font-ttf (Google's Noto TrueType fonts)
+noto-font-ttf:
+noto-font-ttf: Noto's goal is to provide a beautiful reading experience for all
+noto-font-ttf: languages. Currently, Noto covers all major languages of the world
+noto-font-ttf: and many others, including European, African, Middle Eastern, Indic,
+noto-font-ttf: South and Southeast Asian, Central Asian, American, and East Asian
+noto-font-ttf: languages. Support for Simplified Chinese, Traditional Chinese,
+noto-font-ttf: Japanese, and Korean was first added in July 2014.
+noto-font-ttf: All Noto fonts are included, except CJK and Emoji.
+noto-font-ttf:
+noto-font-ttf: noto-font-ttf home: https://github.com/googlei18n/noto-fonts